package com.incubator.center.listener;

import com.incubator.common.net.Connection;
import com.incubator.core.net.handler.listener.GameHttpServerConnectionListener;
import com.incubator.center.handler.http.HttpRequestEvent;

import io.netty.handler.codec.http.HttpRequest;
import io.netty.util.ReferenceCountUtil;

public class HttpInnerListener extends GameHttpServerConnectionListener {

	@Override
	public void messageArrived(Connection conn, HttpRequest msg) {
		ReferenceCountUtil.retain(msg);// 因为此方法执行完后就会回收msg,所以这里保留一次
		HttpRequestEvent.getInstance().handleRequest(conn, msg);
	}

	@Override
	public void connectionOpened(Connection connection) {
		
	}

	@Override
	public void connectionClosed(Connection connection) {
		
	}
	
}
