package com.incubator.common.env;

import java.io.File;

/**
 * 部署环境
 */
class RunEnvironment extends Environment {

	@Override
	public String getJobClassDir() {
		return getRootDir() + File.separator + "bin";
	}

	@Override
	public String getConfDir() {
		return getRootDir() + File.separator + "conf";
	}

	@Override
	public boolean initEnv() {
		String currentRoot = System.getProperty("user.dir");
		setRootDir(currentRoot);
		return true;
	}

	@Override
	public boolean initEnv(String rootDir) {
		String currentRoot = System.getProperty("user.dir");
		setRootDir(currentRoot);
		return true;
	}

	@Override
	public String getLogConfigFile() {
		return getRootDir() + File.separator + "conf";
	}

}
