package com.incubator.common.net;

/**
 * 连接实例工厂
 * @author johnc
 *
 */
public interface ConnectionFactory {

	/**
	 * 创建一个连接实例
	 * 
	 * @return
	 */
	public abstract Connection buildConnection();

	/**
	 * 根据参数,创建一个连接实例
	 * 
	 * @return
	 */
	public abstract Connection buildConnection(Object obj);

}
