package com.incubator.core.net.http;

import com.alibaba.fastjson2.JSON;

/**
 * http消息传输类
 */
public abstract class HttpMsgBase {

    /** 接口路径 **/
    protected String path;
    /** 消息码 200:OK **/
    protected int code;
    /** 消息提示 **/
    protected String message = "";
    /** 返回内容 **/
    protected String data;

    public HttpMsgBase() {}

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String toJson() {
        return JSON.toJSONString(this);
    }
}
