package com.incubator.core.net.ws;

import com.incubator.message.proto.CommonProto;

/**
 * 错误消息
 */
public class ErrorResponse extends WSResponse {

    /**
     * @param code 消息码
     */
    public ErrorResponse(int code) {
        this.setCmd(CommonProto.Cmd.ErrorRes_VALUE);
        this.setCode(code);
    }

    /**
     * @param code 消息码
     * @param msg 消息提示
     */
    public ErrorResponse(int code, String msg) {
        this.setCmd(CommonProto.Cmd.ErrorRes_VALUE);
        this.setCode(code);
        this.setMessage(msg);
    }

}
