package com.incubator.game.constant;


public class RedisKeyConstant {

    /**
     * 用户基础信息
     */
    public static final String USER_BASE = "zj:user:base:";
    /**
     * 俱乐部基础信息
     */
    public static final String CLUB_BASE = "common:base:club";
    /**
     * 商城基础信息
     */
    public static final String MALL_BASE = "common:base:mall";
    /**
     * 俱乐部成员
     */
    public static final String CLUB_MEMBER = "zj:club:member:";
    /**
     * 设置主俱乐部
     */
    public static final String SET_MAIN_CLUB = "zj:user:set:";
    /**
     * 查看个人活动
     */
    public static final String ZJ_USER_EVENT_KEY = "zj:user:event:";

    /**
     * 查看个人消息
     */
    public static final String ZJ_USER_MESSAGE = "zj:user:message:";


    /**
     * 服务域名或者ip端口信息 value当前服务域名或者ip端口信息,分割符为: 比如127.0.0.1:8080,127.0.0.1:8081
     */
    public static final String WK_SERVE = "wk:serve";
    public static final String WK_SERVE_KEY = "8.155.42.90:9000";
    // 0:普通房间 1:赛事房间  8 大厅
    public static final String WK_SERVE_TYPE = "0";

    public static final String WK_SERVE_IP = "172.30.226.169";

    /**
     * 服务在线普通房间
     */
    public static final String WK_ROOM = "wk:room";

    /**
     * 服务在线赛事房间
     */
    public static final String WK_RACE = "wk:race";


    public static final String WK_ROOM_MAP = "wk:roomMap";



    /**
     * 赛事信息
     */
    public static final String COMPETE_LIST = "compete:list";

    /**
     * 游戏记录
     */
    public static final String ZJ_USER_GAME_KEY = "zj:user:game:";

    /**
     * 日排行榜
     */
    public static final String ZJ_USER_MASTER_RANK_DAY_KEY = "zj:master:rank:day:";

    /**
     * 周排行榜
     */
    public static final String ZJ_USER_MASTER_RANK_WEEK_KEY = "zj:master:rank:week";

    /**
     * 总排行榜
     */
    public static final String ZJ_USER_MASTER_RANK_TOTAL_KEY = "zj:master:rank:total";

    /**
     * 赛事玩家信息
     */
    public static final String COMPETE_PLAYERS = "compete:players:";

    /**
     * 赛况
     */
    public static final String COMPETE_RESULT = "compete:result:";
}
