package com.incubator.game.data.data; 

import com.incubator.game.data.data.ext.ContestExt;
import java.util.Map; 
import java.util.HashMap; 

import java.util.function.Predicate; 

import java.util.List; 

import java.util.ArrayList; 

/** 游戏-策划配置 **/
public final class GameData { 

	public static Map<Integer, ContestExt> Contests = new HashMap<Integer, ContestExt>();
	public static List<ContestExt> findContests(Predicate<ContestExt> pre) {
		List<ContestExt> results = new ArrayList<>();
		for(ContestExt t : Contests.values()) {
			if(pre.test(t)) {
				results.add(t);
			}
		}
		return results;
	}

	public static Map<Object, PromotionLvCO> PromotionLvs = new HashMap<Object, PromotionLvCO>();
	public static void setPromotionLv(Integer id, PromotionLvCO promotionLvCO) {
		PromotionLvs.put(id, promotionLvCO);
	}

	public static List<PromotionLvCO> findPromotionLvs(Predicate<PromotionLvCO> pre) {
		List<PromotionLvCO> results = new ArrayList<>();
		for(PromotionLvCO t : PromotionLvs.values()) {
			if(pre.test(t)) {
				results.add(t);
			}
		}
		return results;
	}

	public static Map<String, ParametersCO> Parameterss = new HashMap<String, ParametersCO>();
	public static List<ParametersCO> findParameterss(Predicate<ParametersCO> pre) {
		List<ParametersCO> results = new ArrayList<>();
		for(ParametersCO t : Parameterss.values()) {
			if(pre.test(t)) {
				results.add(t);
			}
		}
		return results;
	}


}