package com.incubator.game.data.entity;


import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-11-19 11:46
*/
public class ZjTrading implements Serializable {
    /**
     * 主键id
     */
    private String tradingId;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 交易金额
     */
    private BigDecimal amount;

    /**
     * 交易时间
     */
    private Date transactionTime;

    /**
     * 交易描述
     */
    private String description;

    /**
     * 收支类型1 收入， 2支出
     */
    private String type;

    /**
     * 交易类型 1 购买，2赠送
     */
    private String tradeType;

    private static final long serialVersionUID = 1L;
}