package com.incubator.game.data.entity;


import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author WangYong
 * @since 2024-11-08
 */
public class ZjUser implements Serializable {

    private static final long serialVersionUID = 1L;

    private String userId;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 头像
     */
    private String avatarUrl;

    /**
     * 大师等级
     */
    private Integer honorLevel;
    /**
     * 等级最大分
     */
    private Integer masterScoreLevel;

    /**
     * 大师分
     */
    private Integer masterScore;

    /**
     * 系统排名
     */
    private Integer ranking;

    /**
     * 性别
     */
    private String sex;



    private Date createTime;

    /**
     * 充值金钱
     */
    private BigDecimal rmb = BigDecimal.ZERO;

    /**
     * 主俱乐部
     */
    private String userClub;

    /**
     * 魅力
     */
    private Integer charm;

    /**
     * 玩家编号
     */
    private String userNo;

    /**
     * 人物形象
     */
    private String characterUrl;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Integer getHonorLevel() {
        return honorLevel;
    }

    public void setHonorLevel(Integer honorLevel) {
        this.honorLevel = honorLevel;
    }

    public Integer getMasterScoreLevel() {
        return masterScoreLevel;
    }

    public void setMasterScoreLevel(Integer masterScoreLevel) {
        this.masterScoreLevel = masterScoreLevel;
    }

    public Integer getMasterScore() {
        return masterScore;
    }

    public void setMasterScore(Integer masterScore) {
        this.masterScore = masterScore;
    }

    public Integer getRanking() {
        return ranking;
    }

    public void setRanking(Integer ranking) {
        this.ranking = ranking;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getRmb() {
        return rmb;
    }

    public void setRmb(BigDecimal rmb) {
        this.rmb = rmb;
    }

    public String getUserClub() {
        return userClub;
    }

    public void setUserClub(String userClub) {
        this.userClub = userClub;
    }

    public Integer getCharm() {
        return charm;
    }

    public void setCharm(Integer charm) {
        this.charm = charm;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getCharacterUrl() {
        return characterUrl;
    }

    public void setCharacterUrl(String characterUrl) {
        this.characterUrl = characterUrl;
    }
}
