package com.incubator.game.data.po;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-06 14:00
 */
public class UserBackpackPo {


    /**
     * 主键id
     */
    private String backId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 物品id
     */
    private String goodsId;

    /**
     * 物品数量
     */
    private BigDecimal goodsNum;

    /**
     * 有效期道具使用后到期时间
     */
    private Date useTime;


    /**
     * 物品名称
     */
    private String goodsName;

    /**
     * 物品描述
     */
    private String goodsDescription;

    /**
     * 物品类型
     */
    private Integer goodsType;

    /**
     * 物品图片
     */
    private String goodsImg;

    private String typeName;

    public String getBackId() {
        return backId;
    }

    public void setBackId(String backId) {
        this.backId = backId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsDescription() {
        return goodsDescription;
    }

    public void setGoodsDescription(String goodsDescription) {
        this.goodsDescription = goodsDescription;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
