package com.incubator.game.data.po;

import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-09 13:32
 */
public class ZjClubPo{
    /**
     * 主键id
     */
    private String clubId;

    /**
     * 俱乐部名称
     */
    private String clubName;

    /**
     * 俱乐部宣传图
     */
    private String clubImg;

    /**
     * 俱乐部人数
     */
    private Integer clubMemberNum;

    /**
     * 俱乐部描述
     */
    private String clubDescription;

    /**
     * 俱乐部掌门人
     */
    private String clubCreator;

    /**
     * 俱乐部状态 0 删除  1 正常 2 封禁
     */
    private String clubStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 俱乐部地域
     */
    private String clubAddress;

    /**
     * 俱乐部联赛冠军club_championship
     */
    private Integer clubChampionship;

    /**
     * 俱乐部等级
     */
    private Integer clubLevel;

    /**
     * 上线人数
     */
    private Integer onlineCount;


    /**
     * 近7日大师分
     */
    private Integer sevenDayMasterScore;

    /**
     *大师分
     */
    private Integer masterScore;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 7日排名
     */
    private Integer sevenRank;


    /**
     * 是否加入
     */
    private String isJoin;

    /**
     * 掌门人名称
     */
    private String masterName;

    /**
     * 是否为主俱乐部
     */
    public String isMain;

    /**
     * 是否为自己创建的俱乐部
     */
    public String isCreate;

    public String getIsCreate() {
        return isCreate;
    }

    public void setIsCreate(String isCreate) {
        this.isCreate = isCreate;
    }

    public String getIsMain() {
        return isMain;
    }

    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }

    public String getMasterName() {
        return masterName;
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    public String getIsJoin() {
        return isJoin;
    }

    public void setIsJoin(String isJoin) {
        this.isJoin = isJoin;
    }

    public Integer getMasterScore() {
        return masterScore;
    }

    public Integer getSevenRank() {
        return sevenRank;
    }

    public void setSevenRank(Integer sevenRank) {
        this.sevenRank = sevenRank;
    }

    public void setMasterScore(Integer masterScore) {
        this.masterScore = masterScore;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public String getClubId() {
        return clubId;
    }

    public void setClubId(String clubId) {
        this.clubId = clubId;
    }

    public String getClubName() {
        return clubName;
    }

    public void setClubName(String clubName) {
        this.clubName = clubName;
    }

    public String getClubImg() {
        return clubImg;
    }

    public void setClubImg(String clubImg) {
        this.clubImg = clubImg;
    }

    public Integer getClubMemberNum() {
        return clubMemberNum;
    }

    public void setClubMemberNum(Integer clubMemberNum) {
        this.clubMemberNum = clubMemberNum;
    }

    public String getClubDescription() {
        return clubDescription;
    }

    public void setClubDescription(String clubDescription) {
        this.clubDescription = clubDescription;
    }

    public String getClubCreator() {
        return clubCreator;
    }

    public void setClubCreator(String clubCreator) {
        this.clubCreator = clubCreator;
    }

    public String getClubStatus() {
        return clubStatus;
    }

    public void setClubStatus(String clubStatus) {
        this.clubStatus = clubStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getClubAddress() {
        return clubAddress;
    }

    public void setClubAddress(String clubAddress) {
        this.clubAddress = clubAddress;
    }

    public Integer getClubChampionship() {
        return clubChampionship;
    }

    public void setClubChampionship(Integer clubChampionship) {
        this.clubChampionship = clubChampionship;
    }

    public Integer getClubLevel() {
        return clubLevel;
    }

    public void setClubLevel(Integer clubLevel) {
        this.clubLevel = clubLevel;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }


    public Integer getSevenDayMasterScore() {
        return sevenDayMasterScore;
    }

    public void setSevenDayMasterScore(Integer sevenDayMasterScore) {
        this.sevenDayMasterScore = sevenDayMasterScore;
    }
}
