package com.incubator.game.data.po;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-09 14:07
 */
public class ZjProductPo {

    /**
     * 主键id
     */
    private String productId;

    /**
     * 商品编号
     */
    private String productNo;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String productImg;

    /**
     * 商品描述
     */
    private String productDescription;

    /**
     * 商品类型关联类型表id
     */
    private String productType;

    /**
     * 商品单价
     */
    private Integer productPrice;

    /**
     * 商品状态 Y:N:D
     */
    private String productStatus;

    /**
     * 商品数量
     */
    private Integer productCount;

    /**
     * 商品交易数量
     */
    private Integer productTrade;

    /**
     * 兑换开始时间
     */
    private Date productBeginTime;

    /**
     * 兑换结束时间
     */
    private Date productEndTime;

    /**
     * 兑换列表
     */
    private String productList;

    /**
     * 商品单位(1人民币 2钻石 3福卡4金币）
     */
    private String productUnit;
    /**
     * 商品对应的物品id
     */
    private String productGoods;

    /**
     * 限购
     */
    private String purchaseLimitation;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Integer createPeople;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private Integer updatePeople;

    /**
     * 商品售价
     */
    private Integer productSellPrice;


    public Integer getProductSellPrice() {
        return productSellPrice;
    }

    public void setProductSellPrice(Integer productSellPrice) {
        this.productSellPrice = productSellPrice;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductImg() {
        return productImg;
    }

    public void setProductImg(String productImg) {
        this.productImg = productImg;
    }

    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Integer getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(Integer productPrice) {
        this.productPrice = productPrice;
    }

    public String getProductStatus() {
        return productStatus;
    }

    public void setProductStatus(String productStatus) {
        this.productStatus = productStatus;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Integer getProductTrade() {
        return productTrade;
    }

    public void setProductTrade(Integer productTrade) {
        this.productTrade = productTrade;
    }

    public Date getProductBeginTime() {
        return productBeginTime;
    }

    public void setProductBeginTime(Date productBeginTime) {
        this.productBeginTime = productBeginTime;
    }

    public Date getProductEndTime() {
        return productEndTime;
    }

    public void setProductEndTime(Date productEndTime) {
        this.productEndTime = productEndTime;
    }

    public String getProductList() {
        return productList;
    }

    public void setProductList(String productList) {
        this.productList = productList;
    }

    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public String getProductGoods() {
        return productGoods;
    }

    public void setProductGoods(String productGoods) {
        this.productGoods = productGoods;
    }

    public String getPurchaseLimitation() {
        return purchaseLimitation;
    }

    public void setPurchaseLimitation(String purchaseLimitation) {
        this.purchaseLimitation = purchaseLimitation;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getCreatePeople() {
        return createPeople;
    }

    public void setCreatePeople(Integer createPeople) {
        this.createPeople = createPeople;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUpdatePeople() {
        return updatePeople;
    }

    public void setUpdatePeople(Integer updatePeople) {
        this.updatePeople = updatePeople;
    }
}
