package com.incubator.game.data.po;

import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-06 13:55
 */
public class ZjUserLobbyPo {

    /**
     * token
     */
    private String token;
    /**
     * 定位
     */
    private String gps;

    /**
     * 定位位置详情
     */
    private String gpsAddr;

    /**
     * 身份证号
     */
    private String certNo;
    /**
     * 真实姓名
     */
    private String name;

    /**
     * 开始时间vip
     */
    private Date startTimeVip;

    /**
     * 结束时间vip
     */
    private Date endTimeVip;

    /**
     * vipUrl
     */
    private String vipUrl;
    /**
     * vip等级
     */
    private Integer vipRank;

    /**
     * 金蛋
     */
    private Long goldCoin;

    /**
     * 钻石
     */
    private Long diamond;

    /**
     * 福卡
     */
    private Long foca;
    /**
     * 人物url
     */
    private String characterUrl;
    /**
     * 好友约局数
     */
    private Integer friendNum;

    /**
     * 好友约局胜率
     */
    private Integer friendChance;

    /**
     * 传统掼蛋场积分房分数
     */
    private Integer traditionMark;

    /**
     * 传统掼蛋场积分房胜率
     */
    private Integer traditionChance;

    /**
     * 传统掼蛋场匹配房分数
     */

    private Integer normalMark;
    /**
     * 传统掼蛋场匹配房胜率
     */
    private Integer normalChance;

    /**
     * 不洗牌局数
     */
    private Integer noShufflingNum;

    /**
     * 不洗牌胜率
     */
    private Integer noShufflingChance;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 头像
     */
    private String avatarUrl;


    /**
     * 大师等级
     */
    private Integer honorLevel;
    /**
     * 等级最大分
     */
    private Integer masterScoreLevel;

    /**
     * 大师分
     */
    private Integer masterScore;

    /**
     * 系统排名
     */
    private Integer ranking;

    /**
     * 性别
     */
    private String sex;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 充值金钱
     */
    private Integer rmb;

    /**
     * 主俱乐部
     */
    private String userClub;

    /**
     * 魅力
     */
    private Integer charm;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 登录状态
     */
    private String loginStatus;

    public String getLoginStatus() {
        return loginStatus;
    }

    public void setLoginStatus(String loginStatus) {
        this.loginStatus = loginStatus;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getGps() {
        return gps;
    }

    public void setGps(String gps) {
        this.gps = gps;
    }

    public String getGpsAddr() {
        return gpsAddr;
    }

    public void setGpsAddr(String gpsAddr) {
        this.gpsAddr = gpsAddr;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartTimeVip() {
        return startTimeVip;
    }

    public void setStartTimeVip(Date startTimeVip) {
        this.startTimeVip = startTimeVip;
    }

    public Date getEndTimeVip() {
        return endTimeVip;
    }

    public void setEndTimeVip(Date endTimeVip) {
        this.endTimeVip = endTimeVip;
    }

    public String getVipUrl() {
        return vipUrl;
    }

    public void setVipUrl(String vipUrl) {
        this.vipUrl = vipUrl;
    }

    public Integer getVipRank() {
        return vipRank;
    }

    public void setVipRank(Integer vipRank) {
        this.vipRank = vipRank;
    }

    public Long getGoldCoin() {
        return goldCoin;
    }

    public void setGoldCoin(Long goldCoin) {
        this.goldCoin = goldCoin;
    }

    public Long getDiamond() {
        return diamond;
    }

    public void setDiamond(Long diamond) {
        this.diamond = diamond;
    }

    public Long getFoca() {
        return foca;
    }

    public void setFoca(Long foca) {
        this.foca = foca;
    }

    public String getCharacterUrl() {
        return characterUrl;
    }

    public void setCharacterUrl(String characterUrl) {
        this.characterUrl = characterUrl;
    }

    public Integer getFriendNum() {
        return friendNum;
    }

    public void setFriendNum(Integer friendNum) {
        this.friendNum = friendNum;
    }

    public Integer getFriendChance() {
        return friendChance;
    }

    public void setFriendChance(Integer friendChance) {
        this.friendChance = friendChance;
    }

    public Integer getTraditionMark() {
        return traditionMark;
    }

    public void setTraditionMark(Integer traditionMark) {
        this.traditionMark = traditionMark;
    }

    public Integer getTraditionChance() {
        return traditionChance;
    }

    public void setTraditionChance(Integer traditionChance) {
        this.traditionChance = traditionChance;
    }

    public Integer getNormalMark() {
        return normalMark;
    }

    public void setNormalMark(Integer normalMark) {
        this.normalMark = normalMark;
    }

    public Integer getNormalChance() {
        return normalChance;
    }

    public void setNormalChance(Integer normalChance) {
        this.normalChance = normalChance;
    }

    public Integer getNoShufflingNum() {
        return noShufflingNum;
    }

    public void setNoShufflingNum(Integer noShufflingNum) {
        this.noShufflingNum = noShufflingNum;
    }

    public Integer getNoShufflingChance() {
        return noShufflingChance;
    }

    public void setNoShufflingChance(Integer noShufflingChance) {
        this.noShufflingChance = noShufflingChance;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Integer getHonorLevel() {
        return honorLevel;
    }

    public void setHonorLevel(Integer honorLevel) {
        this.honorLevel = honorLevel;
    }

    public Integer getMasterScoreLevel() {
        return masterScoreLevel;
    }

    public void setMasterScoreLevel(Integer masterScoreLevel) {
        this.masterScoreLevel = masterScoreLevel;
    }

    public Integer getMasterScore() {
        return masterScore;
    }

    public void setMasterScore(Integer masterScore) {
        this.masterScore = masterScore;
    }

    public Integer getRanking() {
        return ranking;
    }

    public void setRanking(Integer ranking) {
        this.ranking = ranking;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getRmb() {
        return rmb;
    }

    public void setRmb(Integer rmb) {
        this.rmb = rmb;
    }

    public String getUserClub() {
        return userClub;
    }

    public void setUserClub(String userClub) {
        this.userClub = userClub;
    }

    public Integer getCharm() {
        return charm;
    }

    public void setCharm(Integer charm) {
        this.charm = charm;
    }
}
