package com.incubator.game.handler.http;

import cn.hutool.json.JSONArray;
import com.incubator.common.MessageHandler;
import com.incubator.core.net.http.HttpHandler;
import com.incubator.core.net.http.HttpRequest;
import com.incubator.core.net.http.HttpResponse;
import com.incubator.game.data.data.ext.ContestExt;

import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-31 15:37
 * Description:好友房间处理器
 */
@MessageHandler(httpPath = "/friendRoom")
public class FriendRoomHandler extends HttpHandler {

    /**
     * 设置消息内容
     *
     * @param request
     * @param params
     **/
    @Override
    public HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception {
        HttpResponse httpResponse = new HttpResponse();
        httpResponse.setCode(200);
        httpResponse.setMessage("成功！");

        return httpResponse;
    }
}
