package com.incubator.game.util;

/**
 * 通用属性定义
 */
public final class Const {

	/**
	 * 玩家事件类型
	 */
	public static enum PlayerEventType {
		/** 服务器刷新 **/
        REFRESH_NEWDAY,
        /** 上线 **/
        AFTER_LOGIN,
        /** 下线 **/
		OFFLINE,
		/** 充值 **/
		PAY,
		;
	}

	/**
	 * 玩家管理类类型
	 */
	public static enum ManagerType {
		BASE_DATA,
		/** 背包 **/
		BAG,
		VIP,
		/** 邮件 **/
		MAIL,
		/** 充值 **/
		PREPAID,
		FIST_PAY,
		AUCTION,
		/** 活动 **/
		ACTIVITY,
		RICH,
		SEVEN_GOAL,
		/** 商城 **/
		SHOP,
		/** 成长 **/
		GROWING,
		/** 成就 **/
		ACHIEVEMENT,
		/** 称号 **/
		TITLE,
		/** 兑换商城 **/
		INTERGAL_SHOP,
		/** 设置 **/
		HOOKSET,
		;
	}

}
