package com.incubator.game.util;

import java.util.stream.IntStream;

/**
 * 复式掼蛋工具类
 *
 * @author johnc
 */
public final class FSGDUtil {

    /** 定义位置常量 (0东 1南 2西 3北) **/
    private static final int[] RED_TEAM_POSITIONS = {1, 3, 4, 6}; // 红队位置

    /**
     * 根据位置分配队伍
     *
     * @param position 位置编号
     * @return 队伍（红队或蓝队）
     */
    public static int assignTeam(int position) {
        // 红队包含特定位置
        return IntStream.of(RED_TEAM_POSITIONS).anyMatch(pos -> pos == position) ? 0 : 1;
//        return IntStream.of(RED_TEAM_POSITIONS).anyMatch(pos -> pos == position) ? "红队" : "蓝队";
    }

    public static void main(String[] args) {
        for (int i = 0; i < 8; i++) {
            System.out.println(assignTeam(i));
        }
        System.err.println("111111111111");
    }
}
