package com.incubator.game.util;

import com.incubator.common.filter.SensitiveWordFilter;
import com.incubator.game.GGame;

import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;

/**
 * 关键词工具
 * 
 * @author johnc
 *
 */
public class WordFilterUitl {

	public static String SensitiveFilter(String content) {
		SensitiveWordFilter filter = new SensitiveWordFilter(GGame.sd);
		return filter.replaceSensitiveWord(content, SensitiveWordFilter.MatchType.minMatch, "*");
	}

	public static boolean canLength(String content) {
		return content.length() <= 70;
	}
	
	public static int getByteSize(String content) {
		int size = 0;
		if (null != content) {
            // 汉字采用utf-8编码时占3个字节
            size = content.getBytes(StandardCharsets.UTF_8).length;
        }
		return size;
	}

}
