package com.incubator.common;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 配置数据备注
 *
 */
@Target({ElementType.FIELD})
@Retention(value=RetentionPolicy.RUNTIME) 
public @interface ConfRemark {
	String value() default "";
}
