package com.incubator.common.net.netty;

import com.incubator.common.net.Connection;
import io.netty.util.AttributeKey;

/**
 * Netty Channel 属性键
 */
public final class ChannelKeys {

	/**
	 * Connection 属性键，线程安全且全局唯一
	 */
	public static final AttributeKey<Connection> CONNECTION_KEY = AttributeKey.valueOf("Connection_Key");

	// 私有构造函数，防止实例化
	private ChannelKeys() {
		throw new UnsupportedOperationException("ChannelKeys is a utility class and cannot be instantiated.");
	}
}
