package com.incubator.core.net.handler.listener;

import com.incubator.common.net.Connection;
import com.incubator.common.net.ConnectionFactory;
import com.incubator.common.net.ConnectionListener;
import com.incubator.common.net.netty.NettyConnectionFactory;

import io.netty.handler.codec.http.HttpResponse;

/**
 * 客户端链接监听
 */
public abstract class GameHttpClientConnectionListener implements ConnectionListener<HttpResponse> {

	@Override
	public final void connectionClosed(Connection connection) {
		connectionClosed(connection);
	}

	@Override
	public final void connectionOpened(Connection connection) {
		connectionOpened(connection);
	}

	@Override
	public final void messageArrived(Connection connection, HttpResponse msg) {
		messageArrived(connection, msg);
	}

	@Override
	public final ConnectionFactory getConnectionFactory() {
		return NettyConnectionFactory.getInstance();
	}
	
}
