package com.incubator.core.net.handler.listener;

import com.incubator.common.net.ConnectionFactory;
import com.incubator.common.net.ConnectionListener;
import com.incubator.common.net.netty.NettyConnectionFactory;
import io.netty.handler.codec.http.HttpRequest;

/**
 * 服务端链接监听
 */
public abstract class GameHttpServerConnectionListener implements ConnectionListener<HttpRequest> {

	@Override
	public final ConnectionFactory getConnectionFactory() {
		return NettyConnectionFactory.getInstance();
	}

}
