package com.incubator.core.net.http;

/**
 * 错误消息
 */
public class ErrResponse extends HttpResponse {

    /**
     * @param code 消息码
     */
    public ErrResponse(int code) {
        this.setCode(code);
    }

    /**
     * @param code 消息码
     * @param msg 消息提示
     */
    public ErrResponse(int code, String msg) {
        this.setCode(code);
        this.setData(msg);
    }

}
