package com.incubator.core.net.http;

import com.incubator.common.net.Connection;

import java.util.Map;

/**
 * 描述：http网络报文处理基类
 *
 * @author agui
 */
public abstract class HttpHandler extends HttpMsgBase {

	private Connection session;

	private HttpHandler httpRequest;

	public Connection getSession() {
		return session;
	}

	/** 绑定会话 */
	public void bindSession(Connection session) {
		this.session = session;
	}

	/** 绑定事件 **/
	public void bindHandler(HttpHandler handler) {
		this.httpRequest = handler;
	}

	/** 设置消息内容 **/
//	public abstract void initMsgBase() throws Exception;

	public abstract HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception;

}
