package com.incubator.core.net.ws;

import com.incubator.message.proto.CommonProto;

import java.util.Map;

/**
 * 服务器主动推送数据
 */
public class Message extends MsgBase {

    public Message() {}

    public Message(byte[] bytes) throws Exception {
        this.fromBytes(bytes);
    }

    public Message(CommonProto.Cmd msgId, Map<String, Object> data) {
        this.setCmd(msgId.getNumber());
        this.setData(data);
    }

}
