package com.incubator.core.util;

/**
 * 获取等级
 * @author johnc
 *
 */
public final class GrowupUtil {

	public static boolean rangeInDefined(Integer current, Integer min, Integer max) {
		return Math.max(min, current) == Math.min(current, max);
	}

	public static int getVip(Integer param) {
		if (param < 10) {
			return 0;
		} else if (rangeInDefined(param, 10, 57)) {
			return 1;
		} else if (rangeInDefined(param, 58, 137)) {
			return 2;
		} else if (rangeInDefined(param, 138, 279)) {
			return 3;
		} else if (rangeInDefined(param, 280, 579)) {
			return 4;
		} else if (rangeInDefined(param, 580, 1379)) {
			return 5;
		} else if (rangeInDefined(param, 1380, 2579)) {
			return 6;
		} else if (rangeInDefined(param, 2580, 5879)) {
			return 7;
		} else if (rangeInDefined(param, 5880, 8879)) {
			return 8;
		} else if (rangeInDefined(param, 8880, 12879)) {
			return 9;
		} else {
			return 10;
		}
	}

}
