package com.incubator.game.data.data.ext;

import com.incubator.common.log4j.Log;
import com.incubator.common.util.DateUtils;
import com.incubator.game.data.data.ContestCO;
import org.apache.commons.lang3.StringUtils;

/**
 * 赛事策划表
 *
 * @author johnc
 */
public class ContestExt extends ContestCO {

    /** 比赛开始时间 **/
    public long startTime = 0L;

    @Override
    public void initProperty() {

        try {
            if (StringUtils.isEmpty(this.openTime)) {
                Log.error("策划表 Contest 字段 openTime 为空...");
                return;
            }
            this.startTime = DateUtils.parseDateTime(this.openTime, "yyyy-MM-dd HH:mm:ss", null).getTime();
        } catch (Exception e) {
            Log.error("策划表 Contest 字段 openTime 解析出错...id={}", this.iD);
        }
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }
}
