package com.incubator.game.data.entity;


import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author WangYong
 * @since 2024-11-11
 */
public class ZjBackpack implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String backId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 物品id
     */
    private String goodsId;

    /**
     * 物品数量
     */
    private Integer goodsNum;


    /**
     * 有效期道具（0永久 1 一次性  2有效期未使用 3有效期使用 ）
     */
//    @TableField("use_status")
    private String useStatus;

    /**
     * 有效期道具使用后到期时间
     */
//    @TableField("use_time")
    private Date useTime;

    /**
     * 是否使用 Y:N
     */
    private String isEmploy;

    /**
     * 机器人id
     */
    private String robotId;

    public String getBackId() {
        return backId;
    }

    public void setBackId(String backId) {
        this.backId = backId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(Integer goodsNum) {
        this.goodsNum = goodsNum;
    }

    public String getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    public String getIsEmploy() {
        return isEmploy;
    }

    public void setIsEmploy(String isEmploy) {
        this.isEmploy = isEmploy;
    }

    public String getRobotId() {
        return robotId;
    }

    public void setRobotId(String robotId) {
        this.robotId = robotId;
    }
}
