package com.incubator.game.data.entity;


import java.io.Serializable;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-11-12 16:02
*/
public class ZjClubMember implements Serializable {
    /**
     * 主键id
     */
    private String memberId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 俱乐部id
     */
    private String clubId;

    /**
     * 加入状态 0:申请加入 1:同意加入 2:拒绝加入 3:退出俱乐部 4:删除俱乐部
     */
    private String memberStatus;

    /**
     * 加入时间
     */
    private Date joinTime;

    /**
     * 退出时间
     */
    private Date quitTime;

    /**
     * 申请理由
     */
    private String requestExplain;

    /**
     * 申请渠道
     */
    private String requestChannel;

    /**
     * 用户归属形式
     */
    private String ownerType;

    private static final long serialVersionUID = 1L;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getClubId() {
        return clubId;
    }

    public void setClubId(String clubId) {
        this.clubId = clubId;
    }

    public String getMemberStatus() {
        return memberStatus;
    }

    public void setMemberStatus(String memberStatus) {
        this.memberStatus = memberStatus;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Date getQuitTime() {
        return quitTime;
    }

    public void setQuitTime(Date quitTime) {
        this.quitTime = quitTime;
    }

    public String getRequestExplain() {
        return requestExplain;
    }

    public void setRequestExplain(String requestExplain) {
        this.requestExplain = requestExplain;
    }

    public String getRequestChannel() {
        return requestChannel;
    }

    public void setRequestChannel(String requestChannel) {
        this.requestChannel = requestChannel;
    }

    public String getOwnerType() {
        return ownerType;
    }

    public void setOwnerType(String ownerType) {
        this.ownerType = ownerType;
    }
}