package com.incubator.game.data.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

public class ZjUserInfolog {

    /**
     * 主键id
     */
    private String competelogId;

    /**
     * 玩家id
     */
    private String userId;

    /**
     * 赛事id
     */
    private String competeId;

    /**
     * 牌桌id
     */
    private String cardTableId;

    /**
     * 牌级
     */
    private String cardLevel;

    /**
     * 升级
     */
    private Integer levelUp;

    /**
     * 积分
     */
    private Integer points;

    /**
     * 大师分
     */
    private BigDecimal masterScore;

    /**
     * 奖励币种
     */
    private String goodsType;

    /**
     * 奖励币种数量
     */
    private BigDecimal goodsNum;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 其他奖励（Json字符串格式）
     */
    private String otherReward;

    /**
     * 轮次
     */
    private Integer turnNum;

    /**
     * 局次
     */
    private Integer inningNum;

    /**
     * 方位 1东 2南 3西 4北
     */
    private String position;

    /**
     * 比赛结果（输赢）1赢2输
     */
    private String competeResult;

    /**
     * 赛事类型 0官方比赛1自建比赛2俱乐部赛3好友约局4经典掼蛋5经典过A6不洗牌7积分赛
     */
    private String competeType;

    /**数据详情*/
    private String gameInfo;

    /**
     * 牌桌状态 1未开始2进行中3已结束
     */
    private String tableStatus;

    /**
     * 牌局规则
     */
    private String ruleInfo;

    /**
     * 牌局时间
     */
    private int gameTime;

    /**
     * 排名
     */
    private int competeRank;

    public int getCompeteRank() {
        return competeRank;
    }

    public void setCompeteRank(int competeRank) {
        this.competeRank = competeRank;
    }

    public String getRuleInfo() {
        return ruleInfo;
    }

    public void setRuleInfo(String ruleInfo) {
        this.ruleInfo = ruleInfo;
    }

    public int getGameTime() {
        return gameTime;
    }

    public void setGameTime(int gameTime) {
        this.gameTime = gameTime;
    }

    public String getTableStatus() {
        return tableStatus;
    }

    public void setTableStatus(String tableStatus) {
        this.tableStatus = tableStatus;
    }

    public String getGameInfo() {
        return gameInfo;
    }

    public void setGameInfo(String gameInfo) {
        this.gameInfo = gameInfo;
    }

    public String getCompetelogId() {
        return competelogId;
    }

    public void setCompetelogId(String competelogId) {
        this.competelogId = competelogId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCompeteId() {
        return competeId;
    }

    public void setCompeteId(String competeId) {
        this.competeId = competeId;
    }

    public String getCardTableId() {
        return cardTableId;
    }

    public void setCardTableId(String cardTableId) {
        this.cardTableId = cardTableId;
    }

    public String getCardLevel() {
        return cardLevel;
    }

    public void setCardLevel(String cardLevel) {
        this.cardLevel = cardLevel;
    }

    public Integer getLevelUp() {
        return levelUp;
    }

    public void setLevelUp(Integer levelUp) {
        this.levelUp = levelUp;
    }

    public Integer getPoints() {
        return points;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public BigDecimal getMasterScore() {
        return masterScore;
    }

    public void setMasterScore(BigDecimal masterScore) {
        this.masterScore = masterScore;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOtherReward() {
        return otherReward;
    }

    public void setOtherReward(String otherReward) {
        this.otherReward = otherReward;
    }

    public Integer getTurnNum() {
        return turnNum;
    }

    public void setTurnNum(Integer turnNum) {
        this.turnNum = turnNum;
    }

    public Integer getInningNum() {
        return inningNum;
    }

    public void setInningNum(Integer inningNum) {
        this.inningNum = inningNum;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getCompeteResult() {
        return competeResult;
    }

    public void setCompeteResult(String competeResult) {
        this.competeResult = competeResult;
    }

    public String getCompeteType() {
        return competeType;
    }

    public void setCompeteType(String competeType) {
        this.competeType = competeType;
    }
}