package com.incubator.game.data.po;

import java.util.Date;

/**
 * 数据库表[account_info]对应的实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:34
 */
public class AccountInfoPO {
	/** 账号id */
	public long uid;
	/** 角色id */
	public String player_id;
	/** 平台id 10=web 20=安卓 30=IOS */
	public int platform_id;
	/** 渠道id 1000=自研 2000=代理 3000=独代 */
	public int channel_id;
	/** 子渠道id */
	public int subchannel_id;
	/** 游戏id */
	public int game_id;
	/** 注册账号时电话号码（不可改变） */
	public String phone_number;
	/** 注册账号时的邮箱地址（不可改变） */
	public String email_address;
	/** 链接的钱包地址 */
	public String wallet_address;

	public String wallet_chain;
	/** 随机且唯一 */
	public String share_code;
	/** 上次游玩的游戏id */
	public int last_game_id;

	public String last_login_ip;
	/** 上次登录时间 */
	public Date last_login_time;

	public String token;
}
