package com.incubator.game.data.po;

import cn.hutool.json.JSONArray;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * Author:  xhb
 * Date:  2024-12-17 10:24
 */
public class MessagePO {
    /**
     * 消息id
     */
    private String id;

    /**
     * 消息头
     */
    private String title;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息时间
     */
    private LocalDateTime autoDeleteTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    /**
     * 消息状态
     */
    private boolean read;

    /**
     * 奖励列表
     */
    private JSONArray rewardList;

    /**
     * 是否领奖
     */
    private boolean  rewardClaimed;

    /**
     * 来自
     */
    private String From;

    /**
     *  内容类型 1.图文，2.排名，3.奖励
     */
    private Integer contentType;

    /**
     * 排名列表
     */
    private JSONArray rankList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public LocalDateTime getAutoDeleteTime() {
        return autoDeleteTime;
    }

    public void setAutoDeleteTime(LocalDateTime autoDeleteTime) {
        this.autoDeleteTime = autoDeleteTime;
    }

    public boolean isRead() {
        return read;
    }

    public void setRead(boolean read) {
        this.read = read;
    }

    public JSONArray getRewardList() {
        return rewardList;
    }

    public void setRewardList(JSONArray rewardList) {
        this.rewardList = rewardList;
    }

    public boolean isRewardClaimed() {
        return rewardClaimed;
    }

    public void setRewardClaimed(boolean rewardClaimed) {
        this.rewardClaimed = rewardClaimed;
    }

    public String getFrom() {
        return From;
    }

    public void setFrom(String from) {
        From = from;
    }

    public Integer getContentType() {
        return contentType;
    }

    public void setContentType(Integer contentType) {
        this.contentType = contentType;
    }

    public JSONArray getRankList() {
        return rankList;
    }

    public void setRankList(JSONArray rankList) {
        this.rankList = rankList;
    }
}
