package com.incubator.game.data.po;

import com.alibaba.fastjson2.annotation.JSONField;

import java.io.Serializable;

/**
 * player_items 玩家物品实体类 Fri Jan 13 16:06:37 CST 2017 Yangzz
 * 数量：道具读groupCount，虚拟道具：speData.worth
 */
//FIXME 这个结构不能随便乱加东西，加完后需要修改writeExternal, readExternal
public class PlayerItemPO implements Serializable {

	private static final long serialVersionUID = 1L;

	//UUID, 装备唯一ID
	public String id;

	public String code;
	/** 实物道具数量，要注意与策划表格里面重叠数量有区别*/
	private int groupCount;

	public byte isNew;

	@JSONField(deserialize = false, serialize = false)
	public int useCD;

	public int getTime;

	public PlayerItemPO() {
	}

	public PlayerItemPO copy() {
		PlayerItemPO po = new PlayerItemPO();
		po.id = id;
		po.code = code;
		po.groupCount = groupCount;
		po.isNew = isNew;
//		po.speData = speData;// 目前没这个需求拷贝(如果有需要的话这个也是要拷贝的)
		po.useCD = useCD;
		po.getTime = getTime;
		return po;
	}

	public int getGroupCount() {
		return groupCount;
	}

	public void setGroupCount(int groupCount) {
		this.groupCount = groupCount;
	}
	
	public void addGroupCount(int count) {
		this.groupCount += count;
	}

	public void writeExternal() {

	}

	public void readExternal() {

	}
}
