package com.incubator.game.data.po;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-10 9:46
 */
public class ZjClubMemberPo {

    /**
     * 主键id
     */
    private String memberId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 俱乐部id
     */
    private String clubId;

    /**
     * 加入状态 0:申请加入 1:同意加入 2:拒绝加入 3:退出俱乐部 4:删除俱乐部
     */
    private String memberStatus;

    /**
     * 加入时间
     */
    private Date joinTime;

    /**
     * 退出时间
     */
    private Date quitTime;

    /**
     * 申请理由
     */
    private String requestExplain;

    /**
     * 申请渠道
     */
    private String requestChannel;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户头像
     */
    private String avatarUrl;

    /**
     * 是否为主俱乐部
     */
    private String isMain;

    /**
     * 是否为掌门人
     */
    private String isMaster;

    /**
     * 近7日大师分
     */
    private Integer sevenDayMasterScore;

    /**
     *大师分
     */
    private Integer masterScore;

    public Integer getMasterScore() {
        return masterScore;
    }

    public void setMasterScore(Integer masterScore) {
        this.masterScore = masterScore;
    }

    /**
     * 胜率
     */
    private Integer winRate;

    public Integer getWinRate() {
        return winRate;
    }

    public void setWinRate(Integer winRate) {
        this.winRate = winRate;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getClubId() {
        return clubId;
    }

    public void setClubId(String clubId) {
        this.clubId = clubId;
    }

    public String getMemberStatus() {
        return memberStatus;
    }

    public void setMemberStatus(String memberStatus) {
        this.memberStatus = memberStatus;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Date getQuitTime() {
        return quitTime;
    }

    public void setQuitTime(Date quitTime) {
        this.quitTime = quitTime;
    }

    public String getRequestExplain() {
        return requestExplain;
    }

    public void setRequestExplain(String requestExplain) {
        this.requestExplain = requestExplain;
    }

    public String getRequestChannel() {
        return requestChannel;
    }

    public void setRequestChannel(String requestChannel) {
        this.requestChannel = requestChannel;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public String getIsMain() {
        return isMain;
    }

    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }

    public String getIsMaster() {
        return isMaster;
    }

    public void setIsMaster(String isMaster) {
        this.isMaster = isMaster;
    }

    public Integer getSevenDayMasterScore() {
        return sevenDayMasterScore;
    }

    public void setSevenDayMasterScore(Integer sevenDayMasterScore) {
        this.sevenDayMasterScore = sevenDayMasterScore;
    }
}
