package com.incubator.game.data.po;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-10 15:00
 */
public class ZjOrderPO {
    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 主键id
     */
    private String productId;

    /**
     * 商品编号
     */
    private String productNo;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String productImg;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 流入金额
     */
    private BigDecimal inflowAmount;

    /**
     * ；流出金额
     */
    private BigDecimal outflowAmount;

    /**
     * 余额
     */
    private BigDecimal balance;

    /**
     * 订单状态( 0  取消  1 进行中 2 待取消 3 已完成)'
     */
    private String orderStatus;

    /**
     * 币种
     */
    private String productUnit;

    /**
     * 交易类型(1:道具购买，2:钻石充值，3:金蛋购买，4:角色购买，5:实体商品购买)
     */
    private String orderType;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户真实姓名
     */
    private String name;

    /**
     * 联系电话
     */
    private String phoneNumber;

    /**
     * 快递 1 顺丰 2 圆通3 中通 4 EMS
     */
    private String distributionMode;

    /**
     * 取货地址
     */
    private String shippingAddress;

    /**
     * 备注
     */
    private String remark;


    /**
     * 收货方式  1.送货上门，2.驿站自取
     */
    private String receiveGoodsMode;

    /**
     * 发票类型  1.不含发票，2.xx公司发票
     */
    private String invoiceMode;

    /**
     * pay_type 交易方式 1 微信支付  2 其他支付）'
     */
    private String payType;

    /**
     * 商户信息
     */
    private String merchantInfo;

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getMerchantInfo() {
        return merchantInfo;
    }

    public void setMerchantInfo(String merchantInfo) {
        this.merchantInfo = merchantInfo;
    }

    public String getReceiveGoodsMode() {
        return receiveGoodsMode;
    }

    public void setReceiveGoodsMode(String receiveGoodsMode) {
        this.receiveGoodsMode = receiveGoodsMode;
    }

    public String getInvoiceMode() {
        return invoiceMode;
    }

    public void setInvoiceMode(String invoiceMode) {
        this.invoiceMode = invoiceMode;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductImg() {
        return productImg;
    }

    public void setProductImg(String productImg) {
        this.productImg = productImg;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getInflowAmount() {
        return inflowAmount;
    }

    public void setInflowAmount(BigDecimal inflowAmount) {
        this.inflowAmount = inflowAmount;
    }

    public BigDecimal getOutflowAmount() {
        return outflowAmount;
    }

    public void setOutflowAmount(BigDecimal outflowAmount) {
        this.outflowAmount = outflowAmount;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }


    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDistributionMode() {
        return distributionMode;
    }

    public void setDistributionMode(String distributionMode) {
        this.distributionMode = distributionMode;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
