package com.incubator.game.handler.master;

import com.incubator.game.constant.RedisKeyConstant;

public enum RankType {
    DAY("day", RedisKeyConstant.ZJ_USER_MASTER_RANK_DAY_KEY),
    WEEK("week", RedisKeyConstant.ZJ_USER_MASTER_RANK_WEEK_KEY),
    TOTAL("total", RedisKeyConstant.ZJ_USER_MASTER_RANK_TOTAL_KEY); // 假设有这个常量

    private final String type;
    private final String redisKey;

    RankType(String type, String redisKey) {
        this.type = type;
        this.redisKey = redisKey;
    }

    public String getType() {
        return type;
    }

    public String getRedisKey() {
        return redisKey;
    }
}