package com.incubator.game.util;

import com.incubator.game.player.Player;

/**
 * 自定义结构类
 */
public final class Struct {

    public static class TeammateData {
        public Player player;
        public int rank;
        public TeammateData() {}
        public TeammateData(Player player, int rank) {
            this.player = player;
            this.rank = rank;
        }
        public Player getPlayer() {
            return player;
        }
        public void setPlayer(Player player) {
            this.player = player;
        }
        public int getRank() {
            return rank;
        }
        public void setRank(int rank) {
            this.rank = rank;
        }
    }

    /**
     * 比赛晋级数据
     */
    public static class PromotionData {
        public String playerId;
        public String avatar;
        public long score;
        public long roomId;
        public int rank;
        public boolean isPromotion;
        public String name;
        public PromotionData() {}
        public PromotionData(String playerId, String avatar,String name, long score, int rank, boolean isPromotion) {
            this.playerId = playerId;
            this.avatar = avatar;
            this.score = score;
            this.rank = rank;
            this.isPromotion = isPromotion;
            this.name = name;
        }
        public String getPlayerId() {
            return playerId;
        }
        public void setPlayerId(String playerId) {
            this.playerId = playerId;
        }
        public int getRank() {
            return rank;
        }
        public void setRank(int rank) {
            this.rank = rank;
        }

        public long getScore() {
            return score;
        }

        public void setScore(int score) {
            this.score = score;
        }

        public boolean isPromotion() {
            return isPromotion;
        }

        public void setPromotion(boolean promotion) {
            isPromotion = promotion;
        }
    }

    /**
     * 结算数据
     */
    public static class SettlementData {
        public String playerId;
        public int score;
        public boolean isWin;
        public SettlementData() {}
        public SettlementData(String playerId, int score) {
            this.playerId = playerId;
            this.score = score;
        }
        public String getPlayerId() {
            return playerId;
        }
        public void setPlayerId(String playerId) {
            this.playerId = playerId;
        }
        public int getScore() {
            return score;
        }
        public void setScore(int score) {
            this.score = score;
        }

        public boolean isWin() {
            return isWin;
        }

        public void setWin(boolean win) {
            isWin = win;
        }
    }
}
