package com.incubator.message;

import com.alibaba.fastjson2.JSON;

/**
 * 游戏服注册消息类
 */
public class GameRegMsg {

    //game服请求center服
    public static class GameRegG2C {
        public int serverId;
        public String host;
        public int port;
        public GameRegG2C(){}
        public int getServerId() {
            return serverId;
        }
        public void setServerId(int serverId) {
            this.serverId = serverId;
        }
        public String getHost() {
            return host;
        }
        public void setHost(String host) {
            this.host = host;
        }
        public int getPort() {
            return port;
        }
        public void setPort(int port) {
            this.port = port;
        }
        public String toJson() {
            return JSON.toJSONString(this);
        }
    }

    //center服返回
    public static class GameRegC2G {
        public int code;
        public String desc;
        public GameRegC2G() {}
        public int getCode() {
            return code;
        }
        public void setCode(int code) {
            this.code = code;
        }
        public String getDesc() {
            return desc;
        }
        public void setDesc(String desc) {
            this.desc = desc;
        }
        public String toJson() {
            return JSON.toJSONString(this);
        }
    }
}
